PgpKeyId (Gradle API 2.14)
Date: 2016-06-14

Package: org.gradle.plugins.signing.signatory.pgp

## [Java] Class PgpKeyId

- org.gradle.plugins.signing.signatory.pgp.PgpKeyId

- All Implemented Interfaces and Traits:
    Comparable

      public class PgpKeyId
      extends groovy.lang.GroovyObjectSupport

  A normalised form for keys, which are friendliest for users as hex strings but used internally as longs.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `PgpKeyId (long keyId)`
    `PgpKeyId (org.bouncycastle.openpgp.PGPPublicKey keyId)`
    `PgpKeyId (org.bouncycastle.openpgp.PGPSignature signature)`
    `PgpKeyId (String keyId)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `int` | `compareTo(PgpKeyId other)`
    `boolean` | `equals(Object other)`
    `String` | `getAsHex()`
    `long` | `getAsLong()`
    `int` | `hashCode()`
    `static String` | `toHex(long keyId)`
    `static long` | `toLong(String keyId)`
    `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public PgpKeyId(long keyId)

    - #### public PgpKeyId(org.bouncycastle.openpgp.PGPPublicKey keyId)

    - #### public PgpKeyId(org.bouncycastle.openpgp.PGPSignature signature)

    - #### public PgpKeyId(String keyId)

  - ### Method Detail

    - #### @Override public int compareTo(PgpKeyId other)

    - #### @Override public boolean equals(Object other)

    - #### public final String getAsHex()

    - #### public final long getAsLong()

    - #### @Override public int hashCode()

    - #### public static String toHex(long keyId)

    - #### public static long toLong(String keyId)

    - #### @Override public String toString()